# $Revision: 1.26 $, $Date: 2008-03-11 17:10:01 $
%define	vmver 3.9-8
Summary:	X Window System Smalltalk interpreter
Summary(pl.UTF-8):	Interpreter Smalltalka dla X Window System
Name:		squeak
Version:	3.9
Release:	2
License:	partially GPL
Group:		Development/Languages
Source0:	http://ftp.squeak.org/%{version}/unix-linux/Squeak-%{vmver}.src.tar.gz
# Source0-md5:	645ef7e321c61601c9c70d94fa9417e4
Source1:	http://ftp.squeak.org/%{version}/Squeak3.9.1-final-7075.zip
# Source1-md5:	7e31017bdbcce0c5885db9bda9a12379
Source2:	http://ftp.squeak.org/%{version}/SqueakV39.sources.gz
# Source2-md5:	4fe515af7428dbe69e90126c78255db9
Source4:	%{name}-install
Patch0:		%{name}-lvalue-assignment.patch
URL:		http://www.squeak.org/
BuildRequires:	OpenGL-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	unzip
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Squeak is an open, highly-portable Smalltalk-80 implementation whose
virtual machine is written entirely in Smalltalk, making it easy to
debug, analyze, and change. To achieve practical performance, a
translator produces an equivalent C program whose performance is
comparable to commercial Smalltalks.

%description -l pl.UTF-8
Squeak jest otwartą, przenośną implementacją języka Smalltalk-80, z
maszyną wirtualną napisaną całkowicie w Smalltalku, dzięki czemu daje
się ona łatwo poprawiać, analizować i zmieniać. W celu osiągnięcia
praktycznej wydajności, translator produkuje odpowiedni program w C,
którego efektywność jest porównywalna z komercyjnymi Smalltalkami.

%package extras
Summary:	extra libraries for Squeak 2.X
Summary(pl.UTF-8):	dodatkowe biblioteki dla Squeaka 2.X
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}

%description extras
A set of extra shared-libraries for Squeak: Squeak3D and
SoundCodecPrisms

%description extras -l pl.UTF-8
Zestaw dodatkowych bibliotek dla Squeaka: Squeak3D oraz
SoundCodecPrisms

%package -n mozilla-plugin-squeak
Summary:	Plugin to run Squeak in your browser
Summary(pl.UTF-8):	Wtyczka do uruchamiania Squeaka w przeglądarce
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}

%description -n mozilla-plugin-squeak
Plugin to run Squeak in your browser.

%description -n mozilla-plugin-squeak -l pl.UTF-8
Wtyczka do uruchamiania Squeaka w przeglądarce.

%prep
%setup -q -c -a1
%patch0 -p1

%build
cd Squeak-%{vmver}
cd platforms/unix/config
./mkacinc > acplugins.m4
%{__aclocal}
%{__autoconf}
cd ../../..
mkdir bld
cd bld
../platforms/unix/config/%{configure}
cat <<EOF >disabledPlugins.c
typedef struct {
  char *pluginName;
  char *primitiveName;
  void *primitiveAddress;
} sqExport;
EOF
%{__make}
unzip %{SOURCE1}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_datadir}/squeak,%{_bindir}}

cd Squeak-%{vmver}/bld

%{__make} install \
	ROOT=$RPM_BUILD_ROOT

sed -e "s|imgdir=.*|imgdir=%{_datadir}/squeak|" inisqueak > $RPM_BUILD_ROOT%{_bindir}/inisqueak

install %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/squeak/
install Squeak3.9.1-final-7075.changes $RPM_BUILD_ROOT%{_datadir}/squeak/squeak.changes
install Squeak3.9.1-final-7075.image $RPM_BUILD_ROOT%{_datadir}/squeak/squeak.image

gzip -d $RPM_BUILD_ROOT%{_datadir}/squeak/SqueakV*.sources.gz
gzip -9 $RPM_BUILD_ROOT%{_datadir}/squeak/squeak.{changes,image}

%clean
rm -rf $RPM_BUILD_ROOT

%post	extras -p /sbin/ldconfig
%postun extras -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/squeak
%dir %{_libdir}/squeak/%{vmver}
%attr(755,root,root) %{_libdir}/squeak/%{vmver}/squeak
%attr(755,root,root) %{_libdir}/squeak/%{vmver}/vm-*
%dir %{_datadir}/squeak
%attr(755,root,root) %{_datadir}/squeak/squeak.changes.gz
%attr(755,root,root) %{_datadir}/squeak/squeak.image.gz
%attr(755,root,root) %{_datadir}/squeak/SqueakV*.sources
%{_mandir}/man1/*squeak.1*

%files extras
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/squeak/%{vmver}/*Plugin
%attr(755,root,root) %{_libdir}/squeak/%{vmver}/Squeak3D

%files -n mozilla-plugin-squeak
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/squeak/npsqueakrun
%attr(755,root,root) %{_libdir}/squeak/npsqueakregister
%attr(755,root,root) %{_libdir}/squeak/%{vmver}/npsqueak.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: squeak.spec,v $
Revision 1.26  2008-03-11 17:10:01  baggins
- rel 2
- properly package image and source files
- add inisqueak script

Revision 1.25  2008-03-10 17:40:28  baggins
- typo

Revision 1.24  2008-03-10 17:36:47  baggins
- updated source2 md5

Revision 1.23  2008-03-10 17:33:06  baggins
- updated to 3.9
- new source urls
- updated files

Revision 1.22  2007/02/25 10:44:55  qrczak
- XFree86 -> X.org
- BR: OpenGL-devel
- squeak-lvalue-assignment.patch: needed with a newer gcc
- Release 2

Revision 1.21  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.20  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.19  2004/10/10 19:40:07  paladine
- added missing BR: autoconf, automake

Revision 1.18  2004/05/14 18:53:54  qboosh
- pl for plugin, missing dirs

Revision 1.17  2004/05/14 18:48:30  aredridel
- up to 3.6
- some instability -- help appreciated

Revision 1.16  2003/10/07 11:29:18  qboosh
- simplified %%setup

Revision 1.15  2003/08/13 23:39:35  ankry
- description fixes / unification

Revision 1.14  2003/05/28 13:02:01  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:26:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2002/02/22 23:29:44  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:15:03  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/11/23 14:20:02  qboosh
- s/Copyright/License/

Revision 1.9  2001/05/02 21:51:29  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.8  2000/06/09 07:23:59  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/05 15:06:01  mis
- Group: synced with PLD groups

Revision 1.6  2000/05/02 21:23:22  baggins
- fixed version, minor cleanup

Revision 1.5  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.3  1999/11/29 16:08:40  zagrodzki
- typo

Revision 1.2  1999/11/29 15:14:12  zagrodzki
- downgrade to Squeak 2.4c ( Linux 2.6 version is buggy)

Revision 1.1  1999/11/22 12:44:30  zagrodzki
- initial rpm release
